[
{
	"name": "main",
	"layer": "top", // Waybar at top layer
	// "position": "bottom", // Waybar position (top|bottom|left|right)
	"height": 26, // Waybar height (to be removed for auto height)
	// "width": 1280, // Waybar width
	// "gtk-layer-shell": "false",
	// Choose the order of the modules
	"modules-left": ["hyprland/window"],
	"modules-center": [],
	"modules-right": ["hyprland/workspaces","custom/hostname","battery","clock"],
	"custom/workspaces": {
		"format": "{}",
		"exec": "hyprctl activeworkspace -j | jq '.id'",
		"interval": 1
	},
	"custom/hostname": {
		"exec": "hostname",
		"format": "{}",
		"interval": 10000
	},
	"custom/zypper": {
		"format": "{} ",
		"interval": 3600,
		"exec": "zypper lu | grep 'v \\+|' | wc -l; echo 'packages to update'",
		"exec-if": "exit 0",
		"on-click": "exec alacritty -e sudo sh -c 'zypper ref; zypper dup; pkill -SIGRTMIN+8 waybar'",
		"signal": 8
	},
	"idle_inhibitor": {
		"format": "{icon}",
		"format-icons": {
			"activated": "",
			"deactivated": ""
		} 
	},
	"tray": {
		// "icon-size": 21,
		"spacing": 10
	},
	"clock": {
		"format": "{:%Y-%m-%d %I:%M:%S}",
		"format-alt": "{:%a %d %b w:%V %H:%M}",
		"actions": {
			"on-click-right"	: "mode",
			"on-scroll-up"		: "shift_up",
			"on-scroll-down"	  : "shift_down"
		},
		"interval": 1
	},
	"cpu": {
		"format": "{usage}% ",
		"tooltip": false
	},
	"memory": {
		"format": "{}% "
	},
	"temperature": {
		// "thermal-zone": 2,
		// "hwmon-path": "/sys/class/hwmon/hwmon2/temp1_input",
		"critical-threshold": 80,
		// "format-critical": "{temperatureC}°C {icon}",
		"format": "{temperatureC}°C {icon}",
		"format-icons": ["", "", ""]
	},
	"backlight": {
		// "device": "acpi_video1",
		"format": "{percent}% {icon}",
		"format-icons": ["", ""]
	},
	"battery": {
		"format": "{capacity}%"
	},
	"battery#bat2": {
		"bat": "BAT2"
	},
	"network": {
		// "interface": "wlp2*", // (Optional) To force the use of this interface
		"format-wifi": "WiFi",
		"format-ethernet": "Eth",
		"format-linked": "Connected",
		"format-disconnected": "Disconnected",
		"format-alt": "{ifname} {essid} ({signalStrength}%)"
	},
	"pulseaudio": {
		"format": "{icon}",
		"format-alt": "{volume} {icon}",
		"format-alt-click": "click-middle",
		"format-muted": "",
		"format-icons": {
			"headphones": "",
			"handsfree": "",
			"headset": "",
			"phone": "",
			"portable": "",
			"car": "",
			"default": ["", "", ""]
		},
		"scroll-step": 10,
		"on-click": "pactl set-sink-mute @DEFAULT_SINK@ toggle",
		"on-click-right": "pavucontrol",
		"tooltip": true
	},
	"custom/scratchpad": {
		"format-text": "{}",
		"return-type": "json",
		"interval": 3,
		"exec": "/usr/share/openSUSEway/helpers/scratchpad-indicator.sh 2> /dev/null",
		"exec-if": "exit 0",
		"on-click": "swaymsg 'scratchpad show'",
		"on-click-right": "swaymsg 'move scratchpad'"
	},
	"hyprland/language": {
		"format": "{}",
		"on-click": "hyprctl switchxkblayout current next",
		"keyboard-name": "current"
	},
	"mpd": {
		"format": "{stateIcon} {consumeIcon}{randomIcon}{repeatIcon}{singleIcon}{artist} - {album} - {title} ({elapsedTime:%M:%S}/{totalTime:%M:%S}) ",
		"format-disconnected": "Disconnected ",
		"format-stopped": "{consumeIcon}{randomIcon}{repeatIcon}{singleIcon}Stopped ",
		"interval": 2,
		"consume-icons": {
			"on": " " // Icon shows only when "consume" is on
		},
		"random-icons": {
			"off": "<span color=\"#f53c3c\"></span> ", // Icon grayed out when "random" is off
			"on": " "
		},
		"repeat-icons": {
			"on": " "
		},
		"single-icons": {
			"on": "1 "
		},
		"state-icons": {
			"paused": "",
			"playing": ""
		},
		"tooltip-format": "MPD (connected)",
		"tooltip-format-disconnected": "MPD (disconnected)"
	},
	"custom/notification": {
	"tooltip": true,
	"format": "{icon}",
	"format-icons": {
		 "notification": "<span foreground='red'><small><sup>⬤</sup></small></span>",
		 "none": " ",
		 "dnd-notification": "<span foreground='red'><small><sup>⬤</sup></small></span>",
		 "dnd-none": " "
	},
	"return-type": "json",
	"exec-if": "which swaync-client",
	"exec": "swaync-client -swb",
	"on-click": "swaync-client -t -sw",
	"on-click-right": "swaync-client -d -sw",
	"escape": true,
	"name": "main"
   }
}
]
